Subject: Re: segfault

From: Jim Paris <[email-masked]>
Date: Wed, 5 Sep 2001 17:53:25 -0400

[ resending to list, since I accidently replied only to Maciej ]

>  Since there appears to be no conclusion of the sysmips-on-MIPS-I problem
> in sight, I've just put all the related patches I use in a single place
> for easy retrieval.  All of them were sent to this mailing list once but
> digging through archives is tiresome.  Get them from
> 'ftp://ftp.ds2.pg.gda.pl/pub/macro/sysmips/'. 
> 
>  There is a sys_sysmips() fix in the "sysmips-1" patch and two additional
> patches implementing a sys__test_and_set() syscall and its usage in glibc. 
> Feel free to use them until an official solution is available. 

I applied these patches and I still have the same problem.

I'm starting to think that maybe my kernel is just too broken to use
with my recent binutils/gcc/glibc mix.  I was hoping that my efforts
to patch it up to 2.4.5 would have fixed that; I wish the linux-vr
tree was still being updated by people who actually knew what they
were doing (as I certainly don't).

-jim